{
  "type": "minecraft:crafting_shaped",
  "category": "misc",
  "key": {
    "#": "minecraft:redstone_torch",
    "S": "minecraft:stick",
    "X": "minecraft:iron_ingot"
  },
  "pattern": [
    "XSX",
    "X#X",
    "XSX"
  ],
  "result": {
    "count": 6,
    "id": "minecraft:activator_rail",
    "components": {
      "custom_data": {
        "or_edited_item": true
      },
      "max_stack_size": 8
    }
  }
}